import request from '@/utils/request'

//登录策略详情查询
export function GetTacDetails (params) {
  return request({
    url: '/api/fs4a/GetTacDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}
//登录策略列表查询
export function GetTacList (params) {
  return request({
    url: '/api/fs4a/GetTacList/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//登录策略新增
export function SaveTac (params) {
  return request({
    url: '/api/fs4a/SaveTac/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//登录策略编辑
export function EditTac (params) {
  return request({
    url: '/api/fs4a/EditTac/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//登录策略删除
export function DeleteTac (params) {
  return request({
    url: '/api/fs4a/DeleteTac/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//获取系统基础设置
export function GetSystemSet (params) {
  return request({
    url: '/api/fs4a/GetSystemSet/v1',
    method: 'post',
    islogin: true
    // data: params,
    // proxy: true
  })
}

//保存系统基础设置
export function SaveSystemSet (params) {
  return request({
    url: '/api/fs4a/SaveSystemSet/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}
